package com.fuzamei.service;

import java.util.List;
import java.util.Map;

import com.fuzamei.entity.PlannerSupplier;
import com.fuzamei.entity.User;

public interface PlannerService {
	public List<User> queryPlanner(Map<String, Object> map);//查询计划人列表
	public List<User> queryAllSupplierByPlannerId(int plannerId);//查询已添加的供应商
	public List<User> queryAllNoSupplierByPlannerId(int plannerId);//查询未添加的供应商
	
	
	
	public void deleteBeforeSupplierByUserId(int plannerId);//根据计划员id删除之前所有的供应商
	 
	public void insertAgainSupplier(PlannerSupplier pp);//得到前端传来所有得供应商ID 做插入操作
	
	
}
